| Linux NFC User Mode Stack

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Attributes | List of all members
nfc_wifi_pairing_t Struct Reference

NFC wifi handover select record structure definition. More...

`#include <linux_nfc_api.h>`

## Public Attributes
nfc_handover_cps_t | power_state
| Handover Carrier Power State. More...
unsigned char * | ndef
| Handover Carrier Configuration record. More...
unsigned int | ndef_length
| Handover Carrier Configuration record length. More...
unsigned char * | ssid
| Wifi network ssid. More...
unsigned int | ssid_length
| Wifi network ssid length. More...
unsigned char * | key
| Wifi netwrok key. More...
unsigned int | key_length
| Wifi netwrok key length. More...

## Detailed Description

NFC wifi handover select record structure definition.

Definition at line 252 of file linux_nfc_api.h.

## Member Data Documentation

unsigned char* nfc_wifi_pairing_t::key

Wifi netwrok key.

Definition at line 277 of file linux_nfc_api.h.

unsigned int nfc_wifi_pairing_t::key_length

Wifi netwrok key length.

Definition at line 281 of file linux_nfc_api.h.

unsigned char* nfc_wifi_pairing_t::ndef

Handover Carrier Configuration record.

Definition at line 261 of file linux_nfc_api.h.

unsigned int nfc_wifi_pairing_t::ndef_length

Handover Carrier Configuration record length.

Definition at line 265 of file linux_nfc_api.h.

nfc_handover_cps_t nfc_wifi_pairing_t::power_state

Handover Carrier Power State.

Definition at line 257 of file linux_nfc_api.h.

unsigned char* nfc_wifi_pairing_t::ssid

Wifi network ssid.

Definition at line 269 of file linux_nfc_api.h.

unsigned int nfc_wifi_pairing_t::ssid_length

Wifi network ssid length.

Definition at line 273 of file linux_nfc_api.h.

The documentation for this struct was generated from the following file:

- C:/Users/nxp99386/Documents/Nest/libnfc-nci-linux/libnfc-nci-linux/src/include/linux_nfc_api.h